Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.bean
Class JRCatalogException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              jet.bean.JRCatalogException

All Implemented Interfaces:
  java.io.Serializable

    public class JRCatalogException

extends java.lang.Exception

This exception is used when an error occurs in the catalog bean. An exception that provides information on a catalog access error. Each `JRCatalogException` provides several kinds of information:

- an integer error code that indicates what type of errors occurs.
- a string describing the error.
- a string describing the detail information of the error.

See Also:
  Serialized Form

Field Summary
`static int` | `CAT_NAME_ERROR` The catalog name is null.
`static int` | `CLOSE_CONNECTION_ERROR` When closing connection, an error occurred.
`static int` | `CONNECTION_FAILURE_ERROR` The JDBC connection failure when try to create a connection to the database.
`static int` | `CONNECTION_NAME_ERROR` The specified name is invalid or already used.
`static int` | `CREATE_CAT_ERROR` Cannot create a catalog in the specified dirctory, because the directory does not exist or there is a catalog in the directory.
`static int` | `CREATE_FILEQUERY_FAILED` Cannot create file query object.
`static int` | `FILEQUERY_NAME_ERROR` The name of file query is either valid or exists.
`static int` | `FILEQUERY_NOT_EXISTS` The specified file query does not exist.
`static int` | `INVALID_TABLETYPE` The table type is not supported.
`static int` | `INVALID_USERINFO` The user ID or password may be null.
`static int` | `LOAD_CAT_ERROR` Cannot open the specified catalog file.
`static int` | `NO_CAT_ERROR` The loadCatalog() or newCatalog() method should be called before other method is called.
`static int` | `NO_CONNECTION_ERROR` There is no connection in the catalog.
`static int` | `ONE_CONNECTION` A catalog can contain only one connection, and this error occurs when adding the second connection.
`static int` | `SAVE_CAT_ERROR` Cannot save the catalog file succuessfully.
`static int` | `SYSTEM_INITIALIZE_ERROR` The system initialize failed.
`static int` | `UNKNOWN_ERROR` The unexpected error.
`static int` | `USER_DATASOURCE_EXCEPTION` When adding IBM Sanfrancisco Printable Object, a JRUserDataSourceException or LoadUserDataSourceException is thrown out.
`static int` | `WHERE_PORTION_NOT_EXISTS` The specified where portion does not exist.
`static int` | `WHEREPORTION_NAME_ERROR` The specified name is invalid or already been used by another where portion.

Constructor Summary
`JRCatalogException(int iErrorCode)` Constructs a `JRCatalogException` object with an error code.
`JRCatalogException(int iErrorCode, java.lang.String strDetail)` Constructs a fully-specified `JRCatalogException` object.

Method Summary
`int` | `getErrorCode()` Returns the error code.
`java.lang.String` | `getErrorDetail()` Gets the detail information of the error.
`java.lang.String` | `getErrorMessage()` Returns the error message.
`java.lang.String` | `getMessage()` Returns the error message and detail in a string.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SYSTEM_INITIALIZE_ERROR

    public static final int SYSTEM_INITIALIZE_ERROR

  The system initialize failed. The JRCatalog needs to be initialized to resolve the environment. This error is caused by some reason like wrong report home, bad installation.

  See Also:
    Constant Field Values

### CAT_NAME_ERROR

    public static final int CAT_NAME_ERROR

  The catalog name is null. The catalog name should be set before the loadReport() or newReport() is called.

  See Also:
    Constant Field Values

### CREATE_CAT_ERROR

    public static final int CREATE_CAT_ERROR

  Cannot create a catalog in the specified dirctory, because the directory does not exist or there is a catalog in the directory.

  See Also:
    Constant Field Values

### LOAD_CAT_ERROR

    public static final int LOAD_CAT_ERROR

  Cannot open the specified catalog file. The reason is that the file can not be found, file corrupt, format error or version mismatch. The detail information describe the reason why catalog file open failed.

  See Also:
    Constant Field Values

### SAVE_CAT_ERROR

    public static final int SAVE_CAT_ERROR

  Cannot save the catalog file succuessfully. The reason is of file writing error or that formula file save failed. The detail information describes the reason.

  See Also:
    Constant Field Values

### NO_CAT_ERROR

    public static final int NO_CAT_ERROR

  The loadCatalog() or newCatalog() method should be called before other method is called. And the closeCatalog() should be called in the end.

  See Also:
    Constant Field Values

### WHEREPORTION_NAME_ERROR

    public static final int WHEREPORTION_NAME_ERROR

  The specified name is invalid or already been used by another where portion.

  See Also:
    Constant Field Values

### WHERE_PORTION_NOT_EXISTS

    public static final int WHERE_PORTION_NOT_EXISTS

  The specified where portion does not exist.

  See Also:
    Constant Field Values

### ONE_CONNECTION

    public static final int ONE_CONNECTION

  A catalog can contain only one connection, and this error occurs when adding the second connection.

  See Also:
    Constant Field Values

### CONNECTION_NAME_ERROR

    public static final int CONNECTION_NAME_ERROR

  The specified name is invalid or already used.

  See Also:
    Constant Field Values

### CONNECTION_FAILURE_ERROR

    public static final int CONNECTION_FAILURE_ERROR

  The JDBC connection failure when try to create a connection to the database. The detail information describes the message of SQLException or ClassNotFoundException.

  See Also:
    Constant Field Values

### FILEQUERY_NAME_ERROR

    public static final int FILEQUERY_NAME_ERROR

  The name of file query is either valid or exists.

  See Also:
    Constant Field Values

### CREATE_FILEQUERY_FAILED

    public static final int CREATE_FILEQUERY_FAILED

  Cannot create file query object. The detail information describes the reason.

  See Also:
    Constant Field Values

### NO_CONNECTION_ERROR

    public static final int NO_CONNECTION_ERROR

  There is no connection in the catalog. If you are deleting or modifying the connection, the problem is that no connection exists at all. If you are adding file query, the problem is that you can not create file query without a connection.

  See Also:
    Constant Field Values

### FILEQUERY_NOT_EXISTS

    public static final int FILEQUERY_NOT_EXISTS

  The specified file query does not exist.

  See Also:
    Constant Field Values

### UNKNOWN_ERROR

    public static final int UNKNOWN_ERROR

  The unexpected error.

  See Also:
    Constant Field Values

### INVALID_USERINFO

    public static final int INVALID_USERINFO

  The user ID or password may be null.

  See Also:
    Constant Field Values

### INVALID_TABLETYPE

    public static final int INVALID_TABLETYPE

  The table type is not supported.

  See Also:
    `JRCatalog.TYPE_TABLE`, `JRCatalog.TYPE_VIEW`, Constant Field Values

### CLOSE_CONNECTION_ERROR

    public static final int CLOSE_CONNECTION_ERROR

  When closing connection, an error occurred.

  See Also:
    Constant Field Values

### USER_DATASOURCE_EXCEPTION

    public static final int USER_DATASOURCE_EXCEPTION

  When adding IBM Sanfrancisco Printable Object, a JRUserDataSourceException or LoadUserDataSourceException is thrown out.

  See Also:
    Constant Field Values

Constructor Detail

### JRCatalogException

    public JRCatalogException(int iErrorCode)

  Constructs a `JRCatalogException` object with an error code.

  Parameters:
    `iErrorCode,` - the code of the error.

### JRCatalogException

    public JRCatalogException(int iErrorCode,
                              java.lang.String strDetail)

  Constructs a fully-specified `JRCatalogException` object.

  Parameters:
    `iErrorCode,` - the code of the error.
    `strDetail,` - the detail information

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the error message and detail in a string.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    the message.

### getErrorCode

    public int getErrorCode()

  Returns the error code.

  Returns:
    the error code.

### getErrorMessage

    public java.lang.String getErrorMessage()

  Returns the error message.

  Returns:
    the error message.

### getErrorDetail

    public java.lang.String getErrorDetail()

  Gets the detail information of the error.

  Returns:
    the detail information.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD